
Application: gvSIG desktop - gvSIG bugs #4632
errores al editar objetos en mapa o layout / arror at editing elemento in mapa or layout
08/18/2017 08:13 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document layout
Target version: 2.4.0-2842
Severity: Critical Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2831 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

EN:
once created, text objet inner text can not be changed, 
once create, rectangle properties con not be accessed with right click (log attached)

This behavior turns useless the map space

ES:
Una vez creado, un objeto de texto no puede ser modificado en su texto interior
una vez creado un objeto rectángulo no puede ser accedido en sus propiedades (log adjunto)

Este comportamiento vuelve inútil todo el módulo de mapas

History
#1 - 09/11/2017 12:35 PM - Álvaro Anguix
- Category set to Document layout

#2 - 10/27/2017 06:43 PM - Álvaro Anguix
- Severity changed from Minor to Critical
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Priority changed from Normal to Urgent

Por lo que comenta Mario este error es grave. Le subo prioridad y lo asigno a la final.

#3 - 10/29/2017 10:44 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

Por lo que he podido probar,en la RC3 si que deja modificar un texto del layout.

Sigue dando problemas acceder a las propiedades de un "rectangulo".
#4 - 10/29/2017 11:06 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#5 - 10/29/2017 12:41 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2842
- Status changed from In progress to Fixed

Una vez arreglado ese NullPointerException, con lo que ya puede abrirse el panel de propiedades correspondiente (básicamente el selector de
símbolos) veo que si cambiamos dichas propiedades, el símbolo cambia.

He arreglado este problema también.

#6 - 10/29/2017 06:54 PM - Mario Fevre

Atención. No pude verificarlo aún en rc3. Pero en el caso del texto si permitía acceder a la caja de diálogo. Pero al aceptar, no se aplicaban los
cambios. 
Mañana podré verificar el comportamiento en rc3

#7 - 10/30/2017 02:54 PM - Mario Fevre

Me retracto. Joaquín estaba totalmente acertado al observar que la edición de texto ya funcionaba correctamente

#8 - 11/23/2017 01:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 402 KB 08/18/2017 Mario Fevre
